@charset "UTF-8";
.login-box {
  width: 450px;
}
.login-page {
  background-color: #ffffff;
  height: 80vh ;
}
.login-logo {
  font-size: 1.0rem;
  font-weight: bold;
}
.card {
  box-shadow: 0 0 1px rgba(6,6,6,.125), 0 1px 5px rgba(6,6,6,.2);
}
.login-msg {
  padding-top: 20px;
  font-size: 0.8rem;
  text-decoration: underline;
}
.brand-image {
  margin-top: -7px !important;
  max-height:43px !important;
}
.brand-text {
  font-size: 1.0rem;
  font-weight: bold !important;
}
.modal-title {
  color: #333;
  font-weight: bold;
}
.modal-body-title {
  color: #002060;
  font-size: 0.8rem;
  font-weight: bold;
}
.modal-body-chapter {
  color: #002060;
  font-size: 0.8rem;
  font-weight: bold;
}
.modal-body-login {
  color: #002060;
  font-size: 0.8rem;
  padding-top:5px;
}
.alert-message {
  color: #B94846;
  font-weight: bold;
}
.warning-label {
  color: #B94846;
  font-size: 0.8rem;
}
.label-comment {
  color: #888888;
  font-size: 0.8rem;
}
.link_label {
  text-decoration: underline;
}
.require {
  color: var(--danger);
  font-weight: bold;
  padding-top:5px;
}
.require:before {
  content: "※";
}
.required-no-top::before {
    content: "※";
    position: absolute;
    left: -1rem;
    color: var(--danger);
    font-weight: bold;
}
.required::before {
    content: "※";
    position: absolute;
    top: 0.5rem;
    left: -1rem;
    color: var(--danger);
    font-weight: bold;
}
.required-select::before {
    content: "※";
    position: absolute;
    top: 0.5rem;
    left: -0.55rem;
    color: var(--danger);
    font-weight: bold;
}
.gap-1rem {
    column-gap: 1rem;
}

.gap-2rem {
    column-gap: 2rem;
}

.check_sel {
  padding: 0;
}
.check_sel input{
  display: none;
}
.check_sel label{
  display: block;
  float: left;
  cursor: pointer;
  width: 95%;
  padding: 12px 5px;
  border-right: 1px solid #abb2b7;
  background: #dddddd;
  color: #666666;
  font-size: 14px;
  text-align: center;
  line-height: 1;
  transition: .2s;
}
.check_sel label:last-of-type{
  border-right: 0px;
  border-radius: 3px;
}
.check_sel input[type="radio"]:checked + label {
  background-color: #28a745;
  color: #fff;
}
.check_sel input[type="checkbox"]:checked + label {
  background-color: #007bff;
  color: #fff;
}
.check_sel input[type="radio"]:disabled + label {
  background-color: #eeeeee;
  color: #aaa;
}
.check_sel input[type="radio"]:checked:disabled + label {
  background-color: #28a745;
  opacity: 0.7;
  color: #aaa;
}
.check_sel_role input{
  display: none;

}
.cover_color {
  background-color: #dddddd !important;
  color: #fff !important;
  opacity: 1 !important;
}
.input-item__label > input {
    display:none; /* アップロードボタンのスタイルを無効化 */
}
.input-item__label {
    color: #fff;
    font-weight: normal !important;
    background-color: var(--info);
    padding: .375rem .75rem;
    border-radius: 0.25rem;
}
.label-normal {
    font-weight: normal !important;
}

/* Datatable sortアイコン上書き */
table.dataTable thead .sorting:before,
table.dataTable thead .sorting_asc:before,
table.dataTable thead .sorting_desc:before,
table.dataTable thead .sorting_asc_disabled:before,
table.dataTable thead .sorting_desc_disabled:before {
    content: "\23F6";
}

table.dataTable thead .sorting:after,
table.dataTable thead .sorting_asc:after,
table.dataTable thead .sorting_desc:after,
table.dataTable thead .sorting_asc_disabled:after,
table.dataTable thead .sorting_desc_disabled:after {
    content: "\23F7";
}

table.dataTable.table-sm .sorting:before,
table.dataTable.table-sm .sorting_asc:before,
table.dataTable.table-sm .sorting_desc:before {
    top: 0;
    right: 0.5em;
}

table.dataTable.table-sm .sorting:after,
table.dataTable.table-sm .sorting_asc:after,
table.dataTable.table-sm .sorting_desc:after {
    top: 0.5em;
    right: 0.5em;
}
.badge {
  display: inline-block;
  padding: 0.25em 0.4em;
  font-size: 75%;
  font-weight: 400;
  border: 1px solid transparent;
    border-radius: 0.25rem;
/*  min-width: 0.9em;*/
  line-height: 1;
  text-align: center;
  white-space: nowrap;
  /*vertical-align: top;*/
}

.badge.badge-outlined {
  background-color: transparent
}

.badge.badge-outlined.badge-danger {
  border-color: #ef1c1c;
  color: #ef1c1c
}
.badge.badge-block {
  color: #333;
  background-color: #eee;
  border-color: #999;
}
.table-badge {
    display: inline-block;
    padding: 0.25em 0.4em;
    font-size: 75%;
    font-weight: 400;
    line-height: 1;
    text-align: center;
    white-space: nowrap;
    vertical-align: baseline;
    border-radius: 0.25rem;
    transition: color .15s ease-in-out,background-color .15s ease-in-out,border-color .15s ease-in-out,box-shadow .15s ease-in-out;
}
.td-no-border-left {
    border-left: 1px solid #fff !important;
    border-bottom: 1px solid #fff !important;
}
.td-no-border {
    border-left: 1px solid #fff !important;
    border-right: 1px solid #fff !important;
    border-bottom: 1px solid #fff !important;
}
.user-header {
    padding: 0 0.5rem 0.5rem 0.5rem !important;
    background-color:#fff;
    /* border-bottom-left-radius:.25rem; */
    border-radius:.25rem;
    box-shadow: 0 0 1px rgba(6, 6, 6, .125), 0 1px 5px rgba(6, 6, 6, .2);
}
.user-detail-header {
  background-color: #FFF5E5;
}
.opacity-7 {
  opacity: 0.7;
}
.opacity-3 {
  opacity: 0.3;
}
.text-white {
  color: #fff;
}
.bg-darkgray {
  background-color: #a9a9a9 !important;
}

.bg-lightgray {
  background-color: #f2f4f5 !important;
}
.bg-sat {
  background-color: #f0ffff !important;
}
.bg-sun {
  background-color: #fff0f0 !important;
}
.badge-orange {
    color: #fff;
    background-color: #fd7e14;
}
.badge-purple {
    color: #fff;
    background-color: #6f42c1;
}
.badge-gray-light {
    color: #1f2d3d;
    background-color: #dee2e6;
}
.tl-rd {
    border-top-left-radius:.25rem;
}
.tr-rd {
    border-top-right-radius:.25rem;
}
.bl-rd {
    border-bottom-left-radius:.25rem;
}
.br-rd {
    border-bottom-right-radius:.25rem;
}
.partial-card-body {
    padding: 0 0.45rem 0 0.45rem !important;
}
.title-pt-1 > h3 {
    padding-top: .25rem;
}
/* 点検情報表示関連クラス */
.check-row {
    display: flex;
    /* -ms-flex-wrap: wrap; */
    flex-wrap: wrap;
    padding: 0 !important;
    margin: 0 !important;
}

/* DW */
.btn-dw {
    background-color: #ff5b5b;
    border-color: #ddd;
    color: #fff;
}

/* 請求支払明細ステータス表示 */
.invoice_status_label {
    color: var(--white);
    width: 6rem;
    display: inline-block;
    text-align: center;
    vertical-align: middle;
}
.invoice_status-verifying {
    background-color: var(--green);
}
.invoice_status-confirmed {
    background-color: var(--purple);
}
.invoice_status-completed {
    background-color: var(--gray);
}
.invoice_status-delinquent {
    background-color: var(--red);
}
.invoice_status-refund {
    background-color: var(--cyan);
}
.invoice_status-suspend {
    background-color: var(--orange);
}
.invoice_status-unclaimed {
    color: var(--green);
    border: var(--green) solid 1px;
}
.invoice_status-invalid {
    color: var(--gray);
    border: var(--gray) solid 1px;
}
.col-2-5 {
    flex: 0 0 20.8333%;
    max-width: 20.8333%;
}
/* 点検日程候補日検索・詳細 */
  /* カードの基本スタイル */
  .card-input {
      cursor: pointer;
      border: 2px solid transparent;
      border-radius: 12px;
      background: #fff;
      max-width: 100%;
  }

  .card-input:hover {
      background-color: #fcfcfc;
  }

  /* 選択された時のスタイル（青枠と背景） */
  .card-input-element:checked + .card-input {
      border: 2px solid #007bff;
      background-color: #f0f7ff;
      box-shadow: 0 4px 15px rgba(0, 123, 255, 0.1) !important;
  }

  .day_time_block_selected {
      border: 2px solid #007bff;
      background-color: #f0f7ff !important;;
      box-shadow: 0 4px 15px rgba(0, 123, 255, 0.1) !important;
  }

  /* インナーボックスのグレー背景 */
  .info-box {
      background-color: #f9f9f9;
      border-radius: 8px;
      border: 1px solid #eee;
  }

  .user-icon {
      width: 32px;
      height: 32px;
      background-color: #007bff;
      color: white;
      border-radius: 50%;
      display: flex;
      align-items: center;
      justify-content: center;
      font-weight: bold;
      font-size: 0.8rem;
  }
  .helper-icon {
      background-color: orange;
      color: white;
  }
  /* 経路表示 */
  .location-line {
      position: relative;
  }
  .location-line::before {
      content: '';
      position: absolute;
      left: 3px;
      top: -28px;
/*      bottom: 65px;*/
      bottom: 0;
      height: 30px;
      width: 1px;
      border-left-style: solid;
      border-color: #007bff69;
  }
  .location-line::after {
      content: '';
      position: absolute;
      left: 3px;
      top: 16px;
      /*top: 0;*/
      /*bottom: 33px;*/
      bottom: 0;
      height: 24px;
      width: 1px;
      border-left-style: solid;
      border-color: #007bff69;
  }
  .location-line-next {
      position: relative;
  }

  .location-line-next::before {
      content: '';
      position: absolute;
      left: 3px;
      top: -28px;
/*      bottom: 65px;*/
      bottom: 0;
      height: 30px;
      width: 1px;
      border-left-style: solid;
      border-color: #007bff69;
  }
  .location-line-next::after {
      content: '';
      position: absolute;
      left: 3px;
      top: 16px;
      /*top: 0;*/
      /*bottom: 33px;*/
      bottom: 0;
      height: 24px;
      width: 1px;
      border-left-style: solid;
      border-color: #007bff69;
  }
